# Uses of Interface
org.eclipse.birt.chart.model.attribute.FormatSpecifier

Packages that use FormatSpecifier
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.datafeed
Provides classes and interfaces that determine how a user's custom dataset needs to be interpreted.
org.eclipse.birt.chart.extension.datafeed
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of FormatSpecifier in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return FormatSpecifier
Modifier and Type
Method
Description
`static FormatSpecifier`
ValueFormatter.`resetFormatSpecifier(Object oValue, FormatSpecifier fs)`
Under some cases, the specified format specifier is not suitable for current value, the format specifier must be reset to fit current value.
Methods in org.eclipse.birt.chart.computation with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`TooltipValue`
GObjectFactory.`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`
`TooltipValue`
IGObjectFactory.`createTooltipValue(int iDelay, String sText, FormatSpecifier formatSpecifier)`
`static String`
ValueFormatter.`format(Object oValue, FormatSpecifier formatSpecifier, com.ibm.icu.util.ULocale lcl, Object oCachedJavaFormatter)`
Returns the formatted string representation of given object.
`final String`
DataPointHints.`getBaseDisplayValue(FormatSpecifier formatSpecifier)`
Returns the base display value of current DataPointHintes using given format specifier.
`final String`
DataPointHints.`getDisplayValue(FormatSpecifier fs)`
Returns the display value of current DataPointHintes.
`final String`
DataPointHints.`getOrthogonalDisplayValue(FormatSpecifier formatSpecifier)`
Returns the orthogonal display value of current DataPointHintes using given format specifier.
`final String`
DataPointHints.`getSeriesDisplayValue(FormatSpecifier formatSpecifier)`
Returns the series display value of current DataPointHintes using given format specifier.
`static FormatSpecifier`
ValueFormatter.`resetFormatSpecifier(Object oValue, FormatSpecifier fs)`
Under some cases, the specified format specifier is not suitable for current value, the format specifier must be reset to fit current value.
Constructors in org.eclipse.birt.chart.computation with parameters of type FormatSpecifier
Modifier
Constructor
Description
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc)`
The constructor.
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc)`
DataPointHints constructor.

## Uses of FormatSpecifier in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
AutoScale.`getFormatSpecifier()`
`FormatSpecifier`
OneAxis.`getFormatSpecifier()`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type FormatSpecifier
Modifier
Constructor
Description
``
`ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)`

## Uses of FormatSpecifier in org.eclipse.birt.chart.datafeed

Methods in org.eclipse.birt.chart.datafeed with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`String`
IDataPointEntry.`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`String`
IDataPointEntry.`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.

## Uses of FormatSpecifier in org.eclipse.birt.chart.extension.datafeed

Methods in org.eclipse.birt.chart.extension.datafeed with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`String`
BubbleEntry.`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
`String`
BubbleEntry.`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
`String`
DifferenceEntry.`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
`String`
DifferenceEntry.`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
`String`
StockEntry.`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
`String`
StockEntry.`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.attribute

Subinterfaces of FormatSpecifier in org.eclipse.birt.chart.model.attribute
Modifier and Type
Interface
Description
`interface`
`DateFormatSpecifier`
A representation of the model object 'Date Format Specifier'.
`interface`
`FractionNumberFormatSpecifier`
A representation of the model object 'Fraction Number Format Specifier'.
`interface`
`JavaDateFormatSpecifier`
A representation of the model object 'Java Date Format Specifier'.
`interface`
`JavaNumberFormatSpecifier`
A representation of the model object 'Java Number Format Specifier'.
`interface`
`NumberFormatSpecifier`
A representation of the model object 'Number Format Specifier'.
`interface`
`StringFormatSpecifier`
A representation of the model object 'String Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
FormatSpecifier.`copyInstance()`
`FormatSpecifier`
AttributeFactory.`createFormatSpecifier()`
Returns a new object of class 'Format Specifier'.
`FormatSpecifier`
DataPointComponent.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`FormatSpecifier`
TooltipValue.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`void`
DataPointComponent.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
TooltipValue.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement FormatSpecifier
Modifier and Type
Class
Description
`class`
`DateFormatSpecifierImpl`
An implementation of the model object ' Date Format Specifier'.
`class`
`FormatSpecifierImpl`
An implementation of the model object 'Format Specifier'.
`class`
`FractionNumberFormatSpecifierImpl`
An implementation of the model object 'Fraction Number Format Specifier'.
`class`
`JavaDateFormatSpecifierImpl`
An implementation of the model object ' Java Date Format Specifier'.
`class`
`JavaNumberFormatSpecifierImpl`
An implementation of the model object ' Java Number Format Specifier'.
`class`
`NumberFormatSpecifierImpl`
An implementation of the model object ' Number Format Specifier'.
`class`
`StringFormatSpecifierImpl`
An implementation of the model object 'String Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
FormatSpecifierImpl.`copyInstance()`
`FormatSpecifier`
AttributeFactoryImpl.`createFormatSpecifier()`
`FormatSpecifier`
DataPointComponentImpl.`getFormatSpecifier()`
`FormatSpecifier`
TooltipValueImpl.`getFormatSpecifier()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
DataPointComponentImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
TooltipValueImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final DataPointComponent`
DataPointComponentImpl.`create(DataPointComponentType dpct, FormatSpecifier fs)`
A convenience methods provided to create an initialized DataPointComponent instance NOTE: Manually written
`static final TooltipValue`
TooltipValueImpl.`create(int iDelay, String sText, FormatSpecifier formatSpecifier)`
A convenience method provided to build a tooltip action value when needed NOTE: Manually written
`void`
DataPointComponentImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
TooltipValueImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
Axis.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`FormatSpecifier`
Dial.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`FormatSpecifier`
MarkerLine.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`FormatSpecifier`
MarkerRange.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`void`
Axis.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
Dial.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
MarkerLine.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
MarkerRange.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
AxisImpl.`getFormatSpecifier()`
`FormatSpecifier`
DialImpl.`getFormatSpecifier()`
`FormatSpecifier`
MarkerLineImpl.`getFormatSpecifier()`
`FormatSpecifier`
MarkerRangeImpl.`getFormatSpecifier()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerLineImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
DialImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
MarkerLineImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
MarkerRangeImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
SeriesDefinition.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`void`
SeriesDefinition.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
SeriesDefinitionImpl.`getFormatSpecifier()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesDefinitionImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesDefinitionImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
Legend.`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`void`
Legend.`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.

## Uses of FormatSpecifier in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return FormatSpecifier
Modifier and Type
Method
Description
`FormatSpecifier`
LegendImpl.`getFormatSpecifier()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type FormatSpecifier
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LegendImpl.`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LegendImpl.`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`